org.apache.thrift.transport

## Class TFileTransport.chunkState

- java.lang.Object
- - org.apache.thrift.transport.TFileTransport.chunkState

- Enclosing class:
    TFileTransport

      public static class TFileTransport.chunkState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CHUNK_SIZE` Chunk Size.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFileTransport.chunkState()`
    `TFileTransport.chunkState(int chunk_size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChunkNum()`
    `int` | `getChunkSize()`
    `long` | `getOffset()`
    `int` | `getRemaining()`
    `void` | `seek(long offset)`
    `void` | `skip(int size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CHUNK_SIZE

          public static final int DEFAULT_CHUNK_SIZE

      Chunk Size. Must be same across all implementations
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TFileTransport.chunkState

          public TFileTransport.chunkState()

    - #### TFileTransport.chunkState

          public TFileTransport.chunkState(int chunk_size)

  - ### Method Detail

    - #### skip

          public void skip(int size)

    - #### seek

          public void seek(long offset)

    - #### getChunkSize

          public int getChunkSize()

    - #### getChunkNum

          public int getChunkNum()

    - #### getRemaining

          public int getRemaining()

    - #### getOffset

          public long getOffset()